# $Revision: 1.85 $, $Date: 2009/05/31 09:47:55 $
Summary:	gentoo - a GTK+ file manager for Linux
Summary(pl.UTF-8):	gentoo - oparty na GTK+ zarządca plików pod Linuksa
Name:		gentoo
Version:	0.15.5
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/gentoo/%{name}-%{version}.tar.gz
# Source0-md5:	94366fb19df7b2f7db1707606a01630e
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-locale_names.patch
URL:		http://www.obsession.se/gentoo/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libtool
Requires:	file
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
gentoo is a file manager for Linux written from scratch in pure C. It
uses the GTK+ toolkit for all of its interface needs. gentoo provides
100%% GUI configurability; no need to edit config files by hand and
re- start the program. gentoo supports identifying the type of various
files (using extension, regular expressions, and/or the 'file'
command), and can display files of different types with different
colors and icons. gentoo borrows some of its look and feel from the
classic Amiga file manager "Directory OPUS"(TM) (written by Jonathan
Potter).

%description -l pl.UTF-8
gentoo jest zarządcą plików dla Linuksa napisanym 'od zera' w czystym
C. Używa zestawu narzędzi GTK+ do zaspokojenia wszystkich potrzeb
związanych z interfejsem. gentoo zapewnia 100%%-ową konfigurowalność
graficznego interfejsu; nie ma potrzeby ręcznego modyfikowania plików
konfiguracyjnych i ponownego uruchamiania programu. gentoo dostarcza
identyfikację typów różnych plików (używając rozszerzenia, wyrażeń
regularnych i/lub polecenia 'file') oraz potrafi wyświetlać pliki
różnego typu w różnych kolorach i z różnymi ikonami. gentoo zapożycza
trochę ze swojego wyglądu od klasycznego zarządcy plików Amigi --
"Directory OPUS"(TM) (napisanego przez Jonathana Pottera).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/ru{_RU.utf8,}.po
rm -f po/ru_RU.*
mv -f po/ja{_JP.UTF-8,}.po

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/gentoo.1x $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS CREDITS ChangeLog NEWS README* TODO docs
%config %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/gentoo.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gentoo.spec,v $
Revision 1.85  2009/05/31 09:47:55  adamg
- updated to 0.15.5

Revision 1.84  2009/04/25 10:25:06  adamg
- updated to 0.15.4

Revision 1.83  2008/07/20 23:38:16  adamg
- updated to 0.11.57

Revision 1.82  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.81  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.80  2006/09/02 17:57:20  jackass
- up to 0.11.56

Revision 1.79  2005/06/06 11:57:56  blekot
- pl desc fix (%-->%%)

Revision 1.78  2005/06/05 07:17:03  paszczus
- updated to 0.11.55 ; STBR

Revision 1.77  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.76  2005/01/03 20:09:30  adamg
- updated to 0.11.54

Revision 1.75  2004/11/07 19:33:17  adamg
- updated to 0.11.53

Revision 1.74  2004/10/31 18:11:29  adamg
- updated to 0.11.52

Revision 1.73  2004/10/27 22:10:20  qboosh
- pl fix, cleanup

Revision 1.72  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.71  2004/08/31 09:00:56  snurf
- typos / formatting / etc.

Revision 1.70  2004/07/25 11:55:52  ankry
- kill multiple ru_RU.* translations with different encoding: iconv() is
  used for conversion.
- rel. 3

Revision 1.69  2004/07/04 11:28:44  havner
- applnk  -> vfolders

Revision 1.68  2004/05/23 17:58:04  adamg
- updated to 0.11.51

Revision 1.67  2004/05/04 07:26:19  adamg
- updated to 0.11.50

Revision 1.66  2004/05/02 15:17:58  adamg
- updated md5sum

Revision 1.65  2004/05/02 15:10:23  adamg
- updated to 0.11.49

Revision 1.64  2004/04/16 20:57:17  adamg
- updated to 0.11.48

Revision 1.63  2004/04/13 09:19:04  adamg
- updated to 0.11.47

Revision 1.62  2004/02/29 23:02:57  adamg
- etc_dir patch substituted with home_etc

Revision 1.61  2004/02/29 22:41:26  twittner
- fix md5

Revision 1.60  2004/02/29 22:16:41  adamg
- updated to 0.11.46

Revision 1.59  2003/12/06 22:01:29  adamg
- updated to 0.11.45

Revision 1.58  2003/11/30 17:25:33  adamg
- updated to 0.11.44

Revision 1.57  2003/11/22 21:16:04  adamg
- updated to 0.11.43

Revision 1.56  2003/10/30 12:18:01  adamg
- updated to 0.11.39

Revision 1.55  2003/10/25 15:36:02  adamg
- updated to 0.11.38

Revision 1.54  2003/10/19 19:04:28  adamg
- updated to 0.11.37

Revision 1.53  2003/10/12 14:48:07  adamg
- updated to 0.11.36

Revision 1.52  2003/10/02 09:32:44  adamg
- updated to 0.11.35

Revision 1.51  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.50  2003/05/25 05:47:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/04/07 12:22:03  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.48  2003/03/29 18:42:52  juandon
- added home_etc.patch
- Release 2

Revision 1.47  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.46  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.45  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.44  2002/09/07 19:15:11  kloczek
- (auto)upated to 0.11.34: mainly bug fixes.

Revision 1.43  2002/09/01 19:30:10  krolik
- updated to 0.11.33 version, enjoy ;)

Revision 1.42  2002/07/20 22:37:53  maryush
- updated to 0.11.30

Revision 1.41  2002/07/17 19:33:27  kloczek
- updated to 0.11.28,
- added using %%find_lang macro.

Revision 1.40  2002/07/03 09:24:04  wolf
- spelling

Revision 1.39  2002/06/23 22:17:59  kloczek
- updated to 0.11.27 (bug fixes and cleanups for gettextize in future).

Revision 1.38  2002/06/16 18:30:42  kloczek
- updated to 0.11.26 (bug fixes).

Revision 1.37  2002/06/06 01:04:29  kloczek
- updated to 0.11.25.

Revision 1.36  2002/05/21 23:13:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/05/11 18:34:03  kloczek
- updated to 0.11.24.

Revision 1.34  2002/04/25 16:22:24  arturs
fixed a small typo

Revision 1.33  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.32  2002/03/23 02:49:26  kloczek
- updated to 0.11.22.

Revision 1.31  2002/02/25 04:38:46  kloczek
- added png Icon for desktop file.

Revision 1.30  2002/02/23 02:17:43  kloczek
- adapterized.

Revision 1.29  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/21 00:19:33  kloczek
- updated to 0.11.19 (mostly bugfix release).

Revision 1.27  2002/02/03 20:45:39  ankry
- adding es/pt/pt_BR Group translations

Revision 1.26  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/10/16 19:15:21  kloczek
- updated to 0.11.18.

Revision 1.24  2001/09/20 07:07:38  kloczek
- updated Source url, %build, %intall and %files list.

Revision 1.23  2001/09/19 12:59:06  ankry
- updated source URL
- updated version to 0.11.17, which source is available

Revision 1.22  2001/05/02 16:29:02  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.21  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.19  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.18  2000/04/17 16:51:14  kloczek
- updated to 0.11.14,
- spec adapterized,
- removed outdated config patch.

Revision 1.17  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.15  1999/11/23 19:21:05  pius
- updated to 0.11.11

Revision 1.14  1999/11/04 11:00:53  pius
- updated to 0.11.10
- small fixes

Revision 1.13  1999/09/11 18:59:18  pius
- updated to 0.11.9,
- s/CFLAGS/DEBUG/ in %build,
- cosmetics.

Revision 1.12  1999/09/04 09:13:10  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.11  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 28 1999 Piotr Czerwiński <pius@pld.org.pl>
  [0.11.8-1]
- updated to 0.11.8,
- added gentoo.desktop instead of wmconfig file,
- minor fixes.

* Thu May 20 1999 Piotr Czerwiński <pius@pld.org.pl>
  [0.11.6-1]
- package is FHS 2.0 compliant,
- spec file rewritten for PLD use,
- based on spec written by Ryan Weaver <ryanw@infohwy.com>.
